# Manpage of CODEC

# CODEC

Section: Misc. Reference Manual Pages (3T)
Updated: October 15, 1995
Index
Return to Main Contents

## NAME

TIFFFindCODEC, TIFFRegisterCODEC, TIFFUnRegisterCODEC - codec-related utility routines

## SYNOPSIS

#include <tiffio.h>
const TIFFCodec* TIFFFindCODEC(uint16 scheme);
TIFFCodec* TIFFRegisterCODEC(uint16 scheme, const char* method, TIFFInitMethod init);
void TIFFUnRegisterCODEC(TIFFCodec* codec);

## DESCRIPTION

libtiff supports a variety of compression schemes implemented by software codecs. Each codec adheres to a modular interface that provides for the decoding and encoding of image data; as well as some other methods for initialization, setup, cleanup, and the control of default strip and tile sizes. Codecs are identified by the associated value of the TIFF Compression tag; e.g. 5 for LZW compression.

The TIFFRegisterCODEC routine can be used to augment or override the set of codecs available to an application. If the specified scheme already has a registered codec then it is overridden and any images with data encoded with this compression scheme will be decoded using the supplied coded.

## DIAGNOSTICS

No space to register compression scheme %s. TIFFRegisterCODEC was unable to allocate memory for the data structures needed to register a codec.

Cannot remove compression scheme %s; not registered. TIFFUnRegisterCODEC did not locate the specified codec in the table of registered compression schemes.

## SEE ALSO

libtiff(3T)

## Index

NAME
SYNOPSIS
DESCRIPTION
DIAGNOSTICS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 01:31:39 GMT, November 23, 1999